import json
import requests

def register(host, name, phone, title, passcode):
    data = {
        "name": name,
        "phone": phone,
        "title": title,
        "passcode": passcode
    }
    url = "{}/api/register".format(host)
    r = requests.post(url, data=json.dumps(data))
    res = json.loads(r.text)
    if r.status_code == 200:
        return res['token']
    else:
        raise Exception(res.get('error'))
