import json
import requests

def get_token(host, phone, passcode):
    data = {
        "phone": phone,
        "passcode": passcode
    }
    url = "{}/api/token".format(host)
    r = requests.post(url, data=json.dumps(data))
    res = json.loads(r.text)
    if r.status_code == 200:
        return res['token']
    else:
        raise Exception(res.get('error'))
